# SVG Icon Collection
This is a collection of various technical icons, glyphs, logos and other imagery all in SVG format. The icons are mainly Azure related but there are various other brands and logos plus abstract/generic symbols.

All files are run through [SVGO](https://github.com/svg/svgo) to clean them up and optimize them 

Icons refreshed/updated: Jan 2019

# Ownership & Copyright
I do not attribute ownership to any of these icons & images. No copyright infringement is intended.  
All files have been sourced and scraped from the public internet and various Microsoft sites. They are collected here under fair use.  


# Icon Galleries
To view the icons, gallery pages indexing each of the main sets is provided:

#### [Azure Patterns Collection](azure-patterns)
Probably the best place to start, 700 icons including all Azure services, this has been scraped from https://azure.microsoft.com/en-gb/patterns/styles/glyphs-icons/ 

#### [Azure Docs](azure-docs)
Scraped from main Azure docs site, all major Azure services are in here plus a couple of other useful icons. In most places this overlaps with the above set

#### [Logos & Brands](logos)
Various product, company & programing language logos, fetched from various sources online

#### [Other Icons](other)
Many other Azure & Microsoft icons sourced from various places; Azure.com pages, Azure Docs git repo, Azure portal etc. These shouldn't overlap with the other sets

# Scraping & Other Tools
Various Node.js and bash scripts used for scraping, converting and generating the gallery pages are contained in the `_tools` folder. These are provided as-is with minimal documentation. Here be dragons.